Package org.apache.lucene.search.uhighlight

## Interface CharArrayMatcher

- All Known Subinterfaces:
    `LabelledCharArrayMatcher`

      public interface CharArrayMatcher

  Matches a character array
  NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CharArrayMatcher` | `fromTerms​(List<BytesRef> terms)` |
    `boolean` | `match​(char[] s, int offset, int length)` | Return `true` if the passed-in character array matches
    `default boolean` | `match​(CharsRef chars)` | Return `true` if the passed-in CharsRef matches

- - ### Method Detail

    - #### match

          boolean match​(char[] s,
                        int offset,
                        int length)

      Return `true` if the passed-in character array matches

    - #### match

          default boolean match​(CharsRef chars)

      Return `true` if the passed-in CharsRef matches

    - #### fromTerms

          static CharArrayMatcher fromTerms​(List<BytesRef> terms)